.\" $NetBSD: hcide.4,v 1.6 2009/03/09 19:24:28 joerg Exp $
.\"
.\" Copyright (c) 2000 Ben Harris
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd October 8, 2003
.Dt HCIDE 4
.Os
.Sh NAME
.Nm dtide
.Nd HCCS IDE interface driver
.Sh SYNOPSIS
.Cd "hcide* at podulebus0 slot ?"
.Cd "ata* at hcide? channel ?"
.Sh DESCRIPTION
The
.Nm
driver handles an HCCS IDE interface plugged into an Acorn expansion
slot.  It uses the standard
.Nx
IDE controller driver, and hence can use the standard
.Nm atabus
driver.
.Pp
The card provides three IDE channels.  The internal 44-way IDE connector is
channel 0, the internal 40-way connector is channel 1 and the external
connector is channel 2.
.Sh SEE ALSO
.Xr atabus 4 ,
.Xr atapibus 4 ,
.Xr podulebus 4 ,
.Xr wd 4
.Sh BUGS
The driver was derived by reverse-engineering the card, so it may not handle
the card entirely optimally.
